summaryrefslogtreecommitdiff
path: root/regress/usr.bin
diff options
context:
space:
mode:
authorDarren Tucker <dtucker@cvs.openbsd.org>2003-10-07 01:52:14 +0000
committerDarren Tucker <dtucker@cvs.openbsd.org>2003-10-07 01:52:14 +0000
commit5a045930e6f653aea39d65fe94ea5d2c43f9d031 (patch)
tree77897b0771d67f75dd4a14adf62203c254d6026f /regress/usr.bin
parentec4fef96f1553d6c99a6d47c98759b237fd28dfa (diff)
Test SSH2 banner. ok markus@
Diffstat (limited to 'regress/usr.bin')
-rw-r--r--regress/usr.bin/ssh/Makefile5
-rw-r--r--regress/usr.bin/ssh/banner.sh31
2 files changed, 34 insertions, 2 deletions
diff --git a/regress/usr.bin/ssh/Makefile b/regress/usr.bin/ssh/Makefile
index 069f6e07a38..342cec6c91d 100644
--- a/regress/usr.bin/ssh/Makefile
+++ b/regress/usr.bin/ssh/Makefile
@@ -1,4 +1,4 @@
-# $OpenBSD: Makefile,v 1.24 2003/07/03 08:24:13 markus Exp $
+# $OpenBSD: Makefile,v 1.25 2003/10/07 01:52:13 dtucker Exp $
REGRESS_TARGETS= t1 t2 t3 t4 t5 t6 t7
@@ -11,6 +11,7 @@ LTESTS= connect \
proto-mismatch \
exit-status \
transfer \
+ banner \
rekey \
stderr-data \
stderr-after-eof \
@@ -36,7 +37,7 @@ CLEANFILES+= authorized_keys_${USER} known_hosts pidfile \
ssh_config ssh_proxy sshd_config sshd_proxy \
rsa.pub rsa rsa1.pub rsa1 host.rsa host.rsa1 \
rsa-agent rsa-agent.pub rsa1-agent rsa1-agent.pub \
- ls.copy
+ ls.copy banner.in banner.out
#LTESTS+= ssh-com ssh-com-client ssh-com-keygen ssh-com-sftp
diff --git a/regress/usr.bin/ssh/banner.sh b/regress/usr.bin/ssh/banner.sh
new file mode 100644
index 00000000000..03e2fc8f15b
--- /dev/null
+++ b/regress/usr.bin/ssh/banner.sh
@@ -0,0 +1,31 @@
+# $OpenBSD: banner.sh,v 1.1 2003/10/07 01:52:13 dtucker Exp $
+# Placed in the Public Domain.
+
+tid="banner"
+echo "Banner $OBJ/banner.in" >> $OBJ/sshd_proxy
+
+for s in 0 10 100 1000 10000 100000 ; do
+ if [ "$s" = "0" ]; then
+ # create empty banner
+ rm -f $OBJ/banner.in
+ touch $OBJ/banner.in
+ elif [ "$s" = "10" ]; then
+ # create 10-byte banner file
+ echo "abcdefghi" >$OBJ/banner.in
+ else
+ # increase size 10x
+ cp $OBJ/banner.in $OBJ/banner.out
+ for i in 0 1 2 3 4 5 6 7 8 ; do
+ cat $OBJ/banner.out >> $OBJ/banner.in
+ done
+ fi
+
+ trace "test banner size $s"
+ verbose "test $tid: size $s"
+ ${SSH} -2 -F $OBJ/ssh_proxy otherhost true 2>$OBJ/banner.out
+ if ! cmp $OBJ/banner.in $OBJ/banner.out ; then
+ fail "banner size $s mismatch"
+ fi
+done
+
+rm -f $OBJ/banner.out $OBJ/banner.in